- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
AL::Math::Shape3DVisitor Class Referenceabstract

`#include <shapes3d.h>`

## Public Member Functions
virtual void | visit (const Pill &pShape) const =0
virtual void | visit (const Sphere &pShape) const =0
virtual void | visit (const RoundedRectangle &pShape) const =0
virtual void | visit (const Plane &pShape) const =0
virtual void | visit (const HalfSpace &pShape) const =0
virtual void | visit (const Rectangle &pShape) const =0
virtual void | visit (const HalfLine &pShape) const =0
virtual | ~Shape3DVisitor ()=default

## Detailed Description

Definition at line 164 of file shapes3d.h.

## Constructor & Destructor Documentation

virtual AL::Math::Shape3DVisitor::~Shape3DVisitor | ( |  | ) |
| virtual default

## Member Function Documentation

virtual void AL::Math::Shape3DVisitor::visit | ( | const Pill & | pShape | ) | const
| pure virtual

Implemented in AL::Math::NotImplementedShape3DVisitor.

virtual void AL::Math::Shape3DVisitor::visit | ( | const Sphere & | pShape | ) | const
| pure virtual

Implemented in AL::Math::NotImplementedShape3DVisitor.

virtual void AL::Math::Shape3DVisitor::visit | ( | const RoundedRectangle & | pShape | ) | const
| pure virtual

Implemented in AL::Math::NotImplementedShape3DVisitor.

virtual void AL::Math::Shape3DVisitor::visit | ( | const Plane & | pShape | ) | const
| pure virtual

Implemented in AL::Math::NotImplementedShape3DVisitor.

virtual void AL::Math::Shape3DVisitor::visit | ( | const HalfSpace & | pShape | ) | const
| pure virtual

Implemented in AL::Math::NotImplementedShape3DVisitor.

virtual void AL::Math::Shape3DVisitor::visit | ( | const Rectangle & | pShape | ) | const
| pure virtual

Implemented in AL::Math::NotImplementedShape3DVisitor.

virtual void AL::Math::Shape3DVisitor::visit | ( | const HalfLine & | pShape | ) | const
| pure virtual

Implemented in AL::Math::NotImplementedShape3DVisitor.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/geometrics/shapes3d.h